
DeadDrop - Refactoring #47

Refactoring # 43 (New): Refactorings V0.5

Implement basic Unit Test for Client

10/15/2023 05:31 PM - Sancho Fock

Status: Closed Start date: 10/27/2023

Priority: Normal Due date: 10/28/2023

Assignee: Sancho Fock % Done: 100%

Category: Client Estimated time: 40:00 hours

Target version: 0.5.x   

Description

Related issues:

Follows Refactoring #45: Document and Rework Object Model Closed 10/24/2023 10/26/2023

History

#1 - 10/15/2023 05:34 PM - Sancho Fock

- Start date changed from 10/15/2023 to 10/20/2023

- Estimated time set to 40:00 h

- Parent task set to #43

#2 - 10/15/2023 05:35 PM - Sancho Fock

- Due date set to 10/24/2023

- Start date changed from 10/20/2023 to 10/24/2023

- Follows Refactoring #45: Document and Rework Object Model added

#3 - 10/16/2023 12:11 AM - Sancho Fock

- Precedes Refactoring #51: Simplecrypt: implement BinaryKey Version 2 added

#4 - 10/16/2023 12:12 AM - Sancho Fock

- Due date changed from 10/26/2023 to 10/30/2023

- Start date changed from 10/26/2023 to 10/30/2023

#5 - 10/16/2023 12:13 AM - Sancho Fock

- Due date changed from 10/30/2023 to 12/10/2023

#6 - 10/16/2023 12:14 AM - Sancho Fock

- Due date changed from 12/10/2023 to 11/09/2023

#7 - 10/23/2023 08:45 PM - Sancho Fock

- Due date changed from 11/10/2023 to 11/13/2023

- Start date changed from 10/31/2023 to 11/01/2023

#8 - 10/23/2023 09:30 PM - Sancho Fock

- Due date changed from 11/13/2023 to 11/10/2023

- Start date changed from 11/01/2023 to 10/31/2023

#9 - 10/24/2023 09:49 PM - Sancho Fock

- Due date changed from 11/10/2023 to 11/06/2023

- Start date changed from 10/31/2023 to 10/25/2023

#10 - 10/24/2023 10:33 PM - Sancho Fock
- Due date changed from 11/06/2023 to 11/07/2023

- Start date changed from 10/25/2023 to 10/26/2023

#11 - 10/24/2023 10:39 PM - Sancho Fock

- Follows deleted (Refactoring #45: Document and Rework Object Model)

#12 - 10/24/2023 10:40 PM - Sancho Fock

- Due date changed from 11/07/2023 to 11/08/2023

- Start date changed from 10/26/2023 to 10/27/2023

- Follows Refactoring #69: Add JavaDoc for ddAPI, ddCommons, ddDB and scCore added

#13 - 10/24/2023 10:44 PM - Sancho Fock

- Precedes Test #70: Implement basic UnitTests for scCore, ddCommons and ddDB added

#14 - 10/24/2023 10:44 PM - Sancho Fock

- Precedes deleted (Refactoring #51: Simplecrypt: implement BinaryKey Version 2)

#15 - 10/24/2023 10:45 PM - Sancho Fock

- Due date changed from 11/08/2023 to 11/10/2023

- Start date changed from 10/27/2023 to 10/31/2023

#16 - 10/26/2023 02:00 AM - Sancho Fock

- Due date changed from 11/10/2023 to 11/13/2023

- Start date changed from 10/31/2023 to 11/01/2023

#17 - 10/26/2023 04:01 PM - Sancho Fock

- Precedes deleted (Test #70: Implement basic UnitTests for scCore, ddCommons and ddDB)

#18 - 10/26/2023 04:04 PM - Sancho Fock

- Due date changed from 11/13/2023 to 11/17/2023

- Start date changed from 11/01/2023 to 11/07/2023

#19 - 10/26/2023 04:07 PM - Sancho Fock

- Follows deleted (Refactoring #69: Add JavaDoc for ddAPI, ddCommons, ddDB and scCore)

#20 - 10/26/2023 04:08 PM - Sancho Fock

- Related to Refactoring #45: Document and Rework Object Model added

#21 - 10/26/2023 04:09 PM - Sancho Fock

- Due date changed from 11/17/2023 to 11/15/2023

- Start date changed from 11/07/2023 to 10/27/2023

#22 - 10/26/2023 04:09 PM - Sancho Fock

- Related to deleted (Refactoring #45: Document and Rework Object Model)

#23 - 10/26/2023 04:10 PM - Sancho Fock

- Follows Refactoring #45: Document and Rework Object Model added

#24 - 10/26/2023 04:10 PM - Sancho Fock

- Precedes Test #70: Implement basic UnitTests for scCore, ddCommons and ddDB added

#25 - 10/26/2023 11:42 PM - Sancho Fock

- Status changed from New to In Progress

- % Done changed from 0 to 10
#26 - 10/27/2023 09:39 PM - Sancho Fock

- % Done changed from 10 to 70

#27 - 10/27/2023 09:41 PM - Sancho Fock

- Due date changed from 11/15/2023 to 10/29/2023

#28 - 10/28/2023 12:44 AM - Sancho Fock

- Due date changed from 10/29/2023 to 10/28/2023

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

#29 - 10/28/2023 07:40 PM - Sancho Fock

- Precedes deleted (Test #70: Implement basic UnitTests for scCore, ddCommons and ddDB)
